[Prev: EXCS] | [Resources][TOC] | [Next: EXPIREDATE]

# EXPIREAGE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_EXPIREAGE=`seconds

Element

  `<EXPIREAGE>
  ` seconds
  `</EXPIREAGE>
  `

Command-line Option

  `-expireage` seconds

## Description

EXPIREAGE specifies the time in seconds from the current time to determine if a message has expired. I.e. If the difference between the current time and the message time is greater than EXPIREAGE, the message is expired. Expired messages do not get added into an archive, and any archived expired messages will get automatically removed during an archive update.

EXPIREAGE is specified in seconds. The following table shows common time periods in seconds:

Time period | Equivalence in seconds
--- | ---
day | 86400
week (7 days) | 604800
month (30.5 days) | 2635200
year (365 days) | 31536000

NOTE

  Setting EXPIREAGE to zero turns off the EXPIREAGE check.

If you want to control expiration of messages based on a specific date, then see EXPIREDATE.

## Default Setting

0

## Resource Variables

N/A

## Examples

EXPIREAGE is useful for "message from the last ..." archives. For example, if you are archiving a mailing list with much traffic, you may want to have an archive that shows only messages from the last 7 days (week). Set set EXPIREAGE as follows:

    <ExpireAge>
    604800
    </ExpireAge>

## Version

2.0

## See Also

EXPIREDATE

[Prev: EXCS] | [Resources][TOC] | [Next: EXPIREDATE]